Bug 969252 - proper PKI support: how to add organizational CA to gnome?
proper PKI support: how to add organizational CA to gnome?
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 22:59 EDT by Jason Haar
Modified: 2015-02-17 10:24 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:24:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Haar 2013-05-30 22:59:07 EDT
Description of problem:

I work for two separate organizations that run their own PKIs, so they have "non standard" CA's and services protected by server certs signed by those CAs

I'm trying to use "online accounts" to add support for their owncloud instance and Exchange instance - and in both cases adding accounts caused gnome to warn me "the signing certificate authority is not known"

Fair enough, but I can't see how to add support for it. I know there's an "Ignore" - but that is not a fix - it actually reduces the security of the entire system as it degrades user expectation of what a PKI can achieve.

I would have thought gnome would use the "NSS" api - like chrome, curl, etc do? A nice little gui to interact with it and you're done (easy - only ten minutes work, tops ;-)

Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Michael Monreal 2013-09-01 18:20:25 EDT
Running into the same problem atm... did you find out how to add the CA? I tried adding to $HOME/.pki/nssdb but that did not fix the problem for me.
Comment 2 Michael Monreal 2013-09-02 16:01:49 EDT
Alright, took me a while to figure this out, but it is actually quite easy to solve at the system level in Fedora 19. Just place a trusted CA cert into /etc/pki/ca-trust/source/ and run update-ca-trust as root, done.
Comment 3 Fedora End Of Life 2015-01-09 13:16:29 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 10:24:17 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.